---
lang: en
title: 'API docs: core.lifecycleobserverfilter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [lifeCycleObserverFilter](./core.lifecycleobserverfilter.md)

## lifeCycleObserverFilter() function

Find all life cycle observer bindings. By default, a binding tagged with `CoreTags.LIFE_CYCLE_OBSERVER`<!-- -->. It's used as `BindingFilter`<!-- -->.

<b>Signature:</b>

```typescript
export declare function lifeCycleObserverFilter(binding: Readonly<Binding>): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  binding | <code>Readonly&lt;Binding&gt;</code> |  |

<b>Returns:</b>

`boolean`


